Bug 976318 - [abrt] gimp-2.8.4-5.fc18: gdk_input_translate_coordinates: Process /usr/bin/gimp-2.8 was killed by signal 11 (SIGSEGV)
[abrt] gimp-2.8.4-5.fc18: gdk_input_translate_coordinates: Process /usr/bin/g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:fab557bf71b028034d5367fc641...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 07:18 EDT by Sergey
Modified: 2014-02-06 11:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:53:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.98 KB, text/plain)
2013-06-20 07:18 EDT, Sergey
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-20 07:18 EDT, Sergey
no flags Details
File: core_backtrace (2.36 KB, text/plain)
2013-06-20 07:18 EDT, Sergey
no flags Details
File: dso_list (11.25 KB, text/plain)
2013-06-20 07:18 EDT, Sergey
no flags Details
File: environ (1.85 KB, text/plain)
2013-06-20 07:19 EDT, Sergey
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-20 07:19 EDT, Sergey
no flags Details
File: maps (55.61 KB, text/plain)
2013-06-20 07:19 EDT, Sergey
no flags Details
File: open_fds (1.11 KB, text/plain)
2013-06-20 07:19 EDT, Sergey
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-06-20 07:19 EDT, Sergey
no flags Details
File: var_log_messages (324 bytes, text/plain)
2013-06-20 07:19 EDT, Sergey
no flags Details

  None (edit)
Description Sergey 2013-06-20 07:18:36 EDT
Description of problem:
Вылетает с ошибкой при вводе текста в gimp, при этом текст не появляется.

Version-Release number of selected component:
gimp-2.8.4-5.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gimp-2.8 '/home/samba/iva/CatalogOOOIVA/\xd0\x9e\xd0\xb3\xd1\x80\xd0\xb0\xd0\xb4\xd0\xba\xd0\xb8, \xd1\x81\xd1\x82\xd0\xbe\xd0\xbb\xd0\xb8\xd0\xba\xd0\xb8, \xd0\xbb\xd0\xb0\xd0\xb2\xd0\xbe\xd1\x87\xd0\xba\xd0\xb8, \xd0\xba\xd1\x80\xd0\xb5\xd1\x81\xd1\x8b/( \xd0\x9a\xd0\xa0 ) \xd0\x9a\xd1\x80\xd0\xb5\xd1\x81\xd1\x82\xd1\x8b/\xd0\x9a\xd0\xa0-18.jpg'
crash_function: gdk_input_translate_coordinates
executable:     /usr/bin/gimp-2.8
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_input_translate_coordinates at gdkinput-x11.c:460
 #1 gdk_device_get_state at gdkinput-x11.c:914
 #2 gimp_device_info_get_device_coords at gimpdeviceinfo-coords.c:118
 #3 gimp_device_info_get_event_coords at gimpdeviceinfo-coords.c:104
 #4 gimp_display_shell_get_event_coords at gimpdisplayshell-tool-events.c:1724
 #5 gimp_display_shell_canvas_tool_events at gimpdisplayshell-tool-events.c:330
 #6 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #11 gtk_widget_event_internal at gtkwidget.c:5017
 #12 gtk_widget_event at gtkwidget.c:4814
 #13 gtk_propagate_event at gtkmain.c:2456
Comment 1 Sergey 2013-06-20 07:18:41 EDT
Created attachment 763419 [details]
File: backtrace
Comment 2 Sergey 2013-06-20 07:18:45 EDT
Created attachment 763420 [details]
File: cgroup
Comment 3 Sergey 2013-06-20 07:18:52 EDT
Created attachment 763421 [details]
File: core_backtrace
Comment 4 Sergey 2013-06-20 07:18:57 EDT
Created attachment 763422 [details]
File: dso_list
Comment 5 Sergey 2013-06-20 07:19:05 EDT
Created attachment 763423 [details]
File: environ
Comment 6 Sergey 2013-06-20 07:19:09 EDT
Created attachment 763424 [details]
File: limits
Comment 7 Sergey 2013-06-20 07:19:13 EDT
Created attachment 763425 [details]
File: maps
Comment 8 Sergey 2013-06-20 07:19:16 EDT
Created attachment 763426 [details]
File: open_fds
Comment 9 Sergey 2013-06-20 07:19:20 EDT
Created attachment 763427 [details]
File: proc_pid_status
Comment 10 Sergey 2013-06-20 07:19:23 EDT
Created attachment 763428 [details]
File: var_log_messages
Comment 11 Sergey 2013-06-24 06:42:49 EDT
Проблема возникает, когда используется планшет wacom intous4 и в gimp устройства ввода в режиме "экран", в режиме окно сбоя нет, но и автоматическое переключение между концами пера не происходит.
Comment 12 Nils Philippsen 2013-06-24 09:54:26 EDT
Unfortunately I don't speak Russian, but from Google Translate (ahem) I guess you jhave problem with text entry when using the Intuos 4 tablet in some fashion. Can you describe in English what is happening (and when/under what circumstances)? Would you please try out the gimp-2.8.6 testing update? It's not pushed to the mirrors yet, but you can download the packages from here: https://admin.fedoraproject.org/updates/gimp-2.8.6-1.fc18

Thanks!
Comment 13 Sergey 2013-06-26 06:54:21 EDT
The crash occurs when using a wacom tablet trying to edit the picture. And, more precisely, when after the tablet is entered from the keyboard. If you do everything the same but not touching the tablet, and there is no error.
Comment 14 Fedora End Of Life 2013-12-21 09:04:59 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 16:53:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Sergey 2014-02-06 11:18:51 EST
 	
Switched to version Fedora 20. Error while not apparent.

Note You need to log in before you can comment on or make changes to this bug.